import PropTypes from 'prop-types';

import assert from 'assert';

import objectToGetParams from './utils/objectToGetParams';
import createShareButton from './utils/createShareButton';

function kakaoLink(url, _ref) {
  var title = _ref.title,
      image = _ref.image;

  assert(url, 'kakao.url');

  return 'https://story.kakao.com/s/share?' + objectToGetParams({
    url: url,
    text: title,
    pic: image
  });
}

var KakaoShareButton = createShareButton('kakao', kakaoLink, function (props) {
  return {
    title: props.title,
    image: props.image
  };
}, {
  title: PropTypes.string,
  image: PropTypes.string
}, {
  windowWidth: 550,
  windowHeight: 400
});

export default KakaoShareButton;